Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.pubsub.cluster
Class ModifySubscriptionTask

    java.lang.Object
      org.jivesoftware.openfire.pubsub.cluster.NodeTask
          org.jivesoftware.openfire.pubsub.cluster.SubscriptionTask
              org.jivesoftware.openfire.pubsub.cluster.ModifySubscriptionTask

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

    public class ModifySubscriptionTask

extends SubscriptionTask

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jivesoftware.openfire.pubsub.cluster.NodeTask
`nodeId, serviceId`

Constructor Summary
`ModifySubscriptionTask()`
`ModifySubscriptionTask(NodeSubscription subscription)`

Method Summary
`void` | `run()`

Methods inherited from class org.jivesoftware.openfire.pubsub.cluster.SubscriptionTask
`getOwner, getState, getSubscriberJid, getSubscription, getSubscriptionId, readExternal, toString, writeExternal`

Methods inherited from class org.jivesoftware.openfire.pubsub.cluster.NodeTask
`getNode, getNodeId, getResult, getService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModifySubscriptionTask

    public ModifySubscriptionTask()

### ModifySubscriptionTask

    public ModifySubscriptionTask(NodeSubscription subscription)

Method Detail

### run

    public void run()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.